Package Gnumed :: Package business :: Module gmPathLab :: Class cMetaTestType |
[frames] | no frames]

# Class cMetaTestType

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cMetaTestType

Represents one meta test type under which actual test types can be aggregated.

Instance Methods
format(self, with_tests=False, patient=None) | source code
get_most_recent_result(self, patient=None) | source code
get_oldest_result(self, patient=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| included_test_types
Inherited from `object`: `__class__`

Method Details

### format(self, with_tests=False, patient=None) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### included_test_types Get Method: _get_included_test_types(self) Set Method: unreachable(x)